Subject: Re: bug#16318: 24.3; customize-group shows variables from overloaded built-in packages

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 May 2022 14:38:25 +0200

[email-masked] writes:

> starting from emacs -Q, with no packages installed:
>
> (package-initialize)
> (package-install 'ada-mode)
> (customize-group 'ada)
>
> This displays variables from built-in Ada mode 4.01 (for example
> ada-xref-confirm-compile), even though the newer Ada mode 5.0 is
> installed, which does not declare those variables.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

ada-mode is no longer bundled with Emacs, so this is presumably not a
problem still.  I guess it could be a problem with other packages like
this (if defcustoms from those packages end up in loaddefs), but
there will probably not be any progress here unless somebody comes up
with an example of that phenomenon, so I'm closing this bug report.  (If
somebody sees something like this, opening a new bug report is probably
for the best.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no